DOMWrapperFactory
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.DOMWrapperFactory,DOMWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class DOMWrapperFactory

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
            |
            +--uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
                  |
                  +--uk.ac.bbk.dcs.automed.xml.wrappers.DOMWrapperFactory

public class DOMWrapperFactory
extends XMLWrapperFactory

A lower level wrapper factory for accessing XML files using DOM. Conforms to the AutoMed XML high level wrapper factory.

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`VALIDATING, WHITESPACE_COLLAPSE, WHITESPACE_REPLACE`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`DOMWrapperFactory()`

Method Summary
`protected void` | `populateSchema(AutoMedWrapper wrapper)` Read the metadata from the wrapper connection, and store in existing Schema within the wrapper.

Methods inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`createAutoMedSchema, getAutoMedModel, getModel`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAutoMedModelName, getFeatureNames, getFeatures, getModelBaseName, getModelName, isFeatureInUse, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMWrapperFactory

    public DOMWrapperFactory()

Method Detail

### populateSchema

    protected void populateSchema(AutoMedWrapper wrapper)

  Description copied from class: `AutoMedWrapperFactory`
  Read the metadata from the wrapper connection, and store in existing Schema within the wrapper. To be called by `AutoMedWrapper` instances as part of the wrapper creation process.

  Specified by:
    `populateSchema` in class `AutoMedWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD